View Issue Details

IDProjectCategoryView StatusLast Update
0029328LazarusPackagespublic2016-01-10 22:29
ReporterOndrej PokornyAssigned ToMaciej Izak 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.7 (SVN)Product Buildtrunk 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0029328: sparta docked designer and menu editor AVs
DescriptionThere are a lot of different AVs when using menu editor in combination with the docked designer.
Steps To ReproduceE.g. try to delete a menu item from the menu editor.
Additional InformationThe issue seems to be dependent from Object Inspector. It occurs only when OI is visible.

The bug is (probably) in the new menu designer. The issues are there since r50992. r50991 (old menu designer) works fine.
TagsDockedFormDesigner, menu editor
Fixed in Revision51212
LazTarget-
Widgetset
Attached Files

Relationships

related to 0029362 closedMaciej Izak [New menu editor, sparta]: IDE crashes when double-clicking a menu item to create default event 

Activities

Anthony Walter

2016-01-04 01:35

reporter   ~0088590

Last edited: 2016-01-04 02:04

View 2 revisions

I can confirm.

Also the new menu editor just acts strange. For example when I drop a TPopupMenu on a form after a short delay it automatically prompts me with a dialog asking to create to "Start with several items" or "Add items one by one". Then before you can reply the full menu editor is shown, above the dialog, but it's disabled by the modal dialog prompt which is behind it.

I am going to a message to post in the mailing list. I feel dropping a component on a form shouldn't cause a new editor to popup in a dialog.

Ondrej Pokorny

2016-01-04 02:03

developer   ~0088594

>> I feel dropping a component on a form shouldn't cause a new editor to popup in a dialog.

Please open another report bug report and supply details. It doesn't happen for me either on win32 or Linux/Gtk2.

Anthony Walter

2016-01-04 02:17

reporter   ~0088595

Please add relationship to issue 29329

Maciej Izak

2016-01-06 15:25

developer   ~0088696

Fixed in Sparta branch r51211. Please test. Should be merged with trunk very soon.

Juha Manninen

2016-01-06 16:18

developer   ~0088699

Committed in trunk in r51212.

Ondrej Pokorny

2016-01-10 22:29

developer   ~0088769

Thanks!

Issue History

Date Modified Username Field Change
2016-01-04 00:55 Ondrej Pokorny New Issue
2016-01-04 00:56 Ondrej Pokorny Tag Attached: DockedFormDesigner
2016-01-04 00:56 Ondrej Pokorny Tag Attached: menu editor
2016-01-04 01:35 Anthony Walter Note Added: 0088590
2016-01-04 01:41 Ondrej Pokorny Additional Information Updated View Revisions
2016-01-04 01:58 Ondrej Pokorny Additional Information Updated View Revisions
2016-01-04 02:03 Ondrej Pokorny Note Added: 0088594
2016-01-04 02:04 Anthony Walter Note Edited: 0088590 View Revisions
2016-01-04 02:17 Anthony Walter Note Added: 0088595
2016-01-04 02:20 Ondrej Pokorny Relationship added related to 0029329
2016-01-05 16:40 Maciej Izak Assigned To => Maciej Izak
2016-01-05 16:40 Maciej Izak Status new => assigned
2016-01-06 15:25 Maciej Izak Fixed in Revision => 51211
2016-01-06 15:25 Maciej Izak Note Added: 0088696
2016-01-06 15:25 Maciej Izak Status assigned => resolved
2016-01-06 15:25 Maciej Izak Fixed in Version => 1.7 (SVN)
2016-01-06 15:25 Maciej Izak Resolution open => fixed
2016-01-06 16:18 Juha Manninen Note Added: 0088699
2016-01-06 16:23 Maciej Izak Fixed in Revision 51211 => 51212
2016-01-10 11:20 Ondrej Pokorny Relationship added related to 0029362
2016-01-10 11:23 Ondrej Pokorny Relationship deleted related to 0029329
2016-01-10 22:29 Ondrej Pokorny Note Added: 0088769
2016-01-10 22:29 Ondrej Pokorny Status resolved => closed
2016-01-10 22:29 Ondrej Pokorny Target Version => 1.8